package celular;

/**
  * Universidade Federal de Pernambuco
  * Centro de Informtica
  * Disciplina: Introducao a Programao
  * Projeto Celular
  *
  * Tipo: Dicionario
  *
  * @author: Alberto Csar C. Frana     (accf2@cin.ufpe.br)
  * @author: Luciana Pereira Oliveira    (lpo@cin.ufpe.br)
  *
  * @since 2002
  * @version 1.0
  **/

import celular.palavras.*;

public interface IPrevisaoDeTexto {

  /**  Metodo que insere uma palavra no dicionario
   *   @param palavra        recebe uma palavra do tipo String
   */
	public void inserir(Palavra palavra);

  /** Metodo que exclui um palavra do dicionario
   *   @param palavra        recebe uma palavra do tipo String
   */
	public void excluir(Palavra palavra);

        public ListaDePalavras filtrar(char[] letras,int posicaoAtual);

        public boolean existe(Palavra palavra);

}